package de.heatup.ui;

import java.awt.Font;
import java.awt.FontFormatException;
import java.io.IOException;
import java.io.InputStream;
import de.heatup.logging.Logger;

public class FontLoader {
	static Font ttfBase;
	
	
	public FontLoader() {
		ClassLoader cl = this.getClass().getClassLoader();
		InputStream is = cl.getResourceAsStream("de/heatup/resources/fonts/emulogic.ttf");
		try {
			ttfBase = Font.createFont(Font.TRUETYPE_FONT, is);
		} catch (FontFormatException e) {
			
			e.printStackTrace();
		} catch (IOException e) {
				
			e.printStackTrace();
		}
		
		Logger.write("Font de/heatup/resources/fonts/emulogic.ttf loaded");
			
		
	}
	
	public static Font getFont(){
		return ttfBase;
	}
		
	
				
				
				
				
}
